<?php

namespace Pinpoint\Feefo\Controller\Adminhtml\FeefoReview;

/**
 * Class Index
 * @package Pinpoint\Feefo\Controller\Adminhtml\FeefoReview
 */
class Index extends \Magento\Backend\App\Action
{
    /**
     * @var string
     */
    const ADMIN_RESOURCE = 'Pinpoint_Feefo::feefo_product_reviews';

    /**
     * @return bool
     */
    protected function _isAllowed()
    {
        return $this->_authorization->isAllowed('Pinpoint_Feefo::feefo_reviews');
    }

    /**
     * @return \Magento\Framework\Controller\Result\Redirect
     */
    public function execute()
    {
        $resultRedirect = $this->resultRedirectFactory->create();
        $resultRedirect->setPath('*/index/index');
        return $resultRedirect;
    }     
}
